//
// ETSI (European Telecommunications Standards Institute, referred to as ETSI)
// ARF - ETSI ISG Augmented Reality Framework (ISG ARF)
// (C) 2022
//
// Development "World Storage", data management, authoring tools
//
// Authors:
// - Sylvain Renault (Fraunhofer HHI)
// 
// Date: May 2022
//

#define USING_OPENAPI_GENERATOR // alt. is Swagger

using System.IO;
using System.Collections.Generic;
using UnityEngine;

#if USING_OPENAPI_GENERATOR
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Model;
#else
using IO.Swagger.Api;
using IO.Swagger.Model;
#endif

#if UNITY_EDITOR
namespace ETSI.ARF.WorldStorage.REST
{
    public class AdminRequest
    {
        static public string GetAdminInfo(WorldStorageServer ws)
        {
            DefaultApi api = new DefaultApi(ws.URI);
            string state = api.GetAdmin();
            Debug.Log("Server State: " + state);
            return state;
        }

        static public string GetVersion(WorldStorageServer ws)
        {
            DefaultApi api = new DefaultApi(ws.URI);
            string vers = api.GetVersion();
            Debug.Log("Using API Version: " + vers);
            return vers;
        }

        static public string Ping (WorldStorageServer ws)
        {
            DefaultApi api = new DefaultApi(ws.URI);
            api.GetPing();
            return "IsAlive";
        }
    }
}
#endif