using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;

namespace ETSI.ARF.WorldStorage
{
    [System.Serializable]
    [CreateAssetMenu(fileName = "ARFWorldStorageServer", menuName = "ARF World Storage/Create Server", order = 1)]
    public class WorldStorageServer : ScriptableObject
    {
        [SerializeField] public string serverName = "myServerName";
        [SerializeField] public string basePath = "https://";
        [SerializeField] public int port = 8080;

        [Space(8)]
        [SerializeField] public WorldStorageUser user = null;

        public string URI => basePath + ":" + port.ToString();
    }
}